Page tree

Product Line Engineering Plugin 2022x Refresh1 Documentation


To work with Model-Based Product Line Engineering (MBPLE), you must install the necessary plugins in your modeling tool:

  • The Product Line Engineering plugin.
  • The Variability Core plugin.

For integration with a specific PLE tool, you must install one more additional plugin:

  • For the BigLever Software Gears™ tool you need the MagicDraw/Gears Bridge plugin, provided by BigLever Software, Inc.™
  • For the pure-systems GmbH pure::variants tool, you need the Pure Variants Integration plugin.
  • If you are a PLE tool vendor, you can also develop your own integration plugin using Open API, provided by the main PLE plugin.


To manipulate with model variants, the following software should be installed on your machine:

  • MagicDraw or another modeling tool.
  • Product Line Engineering plugin for the modeling tool.
  • Variability Core plugin for the modeling tool.
  • For pure::variants users:
  • For  Gears users:
    • MagicDraw/Gears Bridge plugin for the modeling tool.
    • Gears (7.7 or later).
  • No labels